Press "Enter" to skip to content

duply schlägt fehlt mit gpg Fehler

Manuel 0

Nach Umstellung auf die aktuellste Debian Version auf meinem Raspberry Pi wollte duply nicht mehr wie gewohnt funktionieren (trotz vorher funktionierender Konfiguration). Konkret hatte gpg etwas zu meckern:

[GNUPG:] KEY_CONSIDERED XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX 2 
[GNUPG:] KEY_CONSIDERED XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX 0 
[GNUPG:] KEY_CONSIDERED XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX 0 
[GNUPG:] BEGIN_SIGNING H8 
[GNUPG:] PINENTRY_LAUNCHED 4897 curses 1.0.0 ? ? ? 
gpg: signing failed: Inappropriate ioctl for device 
[GNUPG:] BEGIN_ENCRYPTION 2 9 
[GNUPG:] FAILURE sign-encrypt XXXXXXXX 
gpg: /usr/bin/duply: sign+encrypt failed: Inappropriate ioctl for device 
 
Hint: 
 This error means that gpg is probably misconfigured or not working  
 correctly. The error message above should help to solve the problem. 
 However, if for some reason duply should misinterpret the situation you  
 can define GPG_TEST='disabled' in the conf file to bypass the test. 
 Please do not forget to report the bug in order to resolve the problem 
 in future versions of duply.

Als hilfreich hat sich der Tip auf superuser.com erwiesen, nachfolgende Dateien zu erstellen bzw. bei vorhandenen Zeilen hinzuzufügen:

Datei ~/.gnupg/gpg.conf:

use-agent
pinentry-mode loopback

Datei ~/gnupg/gpg-agent.conf:

pinentry-program /usr/bin/pinentry-gtk-2
allow-loopback-pinentry

Anschließend lief das Backup wieder wie gewohnt.

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.